Bug 44498 - [watchOS] not possible to create segue from WKInterfaceTable rows
Summary: [watchOS] not possible to create segue from WKInterfaceTable rows
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: iOS Designer (show other bugs)
Version: 7.1 (d15-3)
Hardware: Macintosh Mac OS
: High normal
Target Milestone: master
Assignee: Nikita Matrosov
URL:
Depends on:
Blocks:
 
Reported: 2016-09-19 16:25 UTC by CraigD
Modified: 2018-03-02 16:21 UTC (History)
6 users (show)

Tags: Akvelon
Is this bug a regression?: ---
Last known good build:


Attachments
cannot segue from table rows, but button works fine (at the end) (797.80 KB, video/mp4)
2016-09-19 16:25 UTC, CraigD
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description CraigD 2016-09-19 16:25:18 UTC
Created attachment 17597 [details]
cannot segue from table rows, but button works fine (at the end)

The Xamarin Studio Designer does not allow a segue to be created from a WKInterfaceTable row to another scene in a storyboard.

# Steps to reproduce (in Xamarin iOS Designer)

1. Using this sample
https://github.com/xamarin/ios-samples/tree/master/watchOS/WatchTables
delete the existing Push segue (which was created in Xcode). Alternatively, create a new storyboard with two scenes and place a WKInterfaceTable in the Initial Controller

2. Select a row controller in the table

3. Attempt to Ctrl+drag from the row controller to the second scene. 


# Expected behavior

Second scene becomes a 'drag target', and user is given the *Action Segue* popup menu to choose *Push* or *Modal*.


# Actual behavior

The second scene does not become a 'drag target', the segue cannot be created.


# Supplemental info (logs, images, videos)

Video attached.

# WORKAROUND

This can be done in Xcode Interface Builder, and then the file can be opened and worked with in Xamarin Designer.

# Test environment (full version information)

Xamarin Studio Community
Version 6.1 (build 5441)
Installation UUID: 9c137bd2-9e6e-4e0a-818e-e0007ed66040
Runtime:
	Mono 4.6.0 (mono-4.6.0-branch/746756c) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 406000245

NuGet
Version: 3.4.3.0

Xamarin.Profiler
Not Installed

Xamarin.Android
Version: 7.0.0.18 (Xamarin Studio Community)
Android SDK: /Users/craigdunn/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		4.0.3 (API level 15)
		5.0   (API level 21)
		5.1   (API level 22)
		6.0   (API level 23)

SDK Tools Version: 25.1.6
SDK Platform Tools Version: 23.1
SDK Build Tools Version: 23.0.1

Java SDK: /usr
java version "1.7.0_71"
Java(TM) SE Runtime Environment (build 1.7.0_71-b14)
Java HotSpot(TM) 64-Bit Server VM (build 24.71-b01, mixed mode)

Android Designer EPL code available here:
https://github.com/xamarin/AndroidDesigner.EPL

Xamarin Android Player
Not Installed

Xamarin Inspector
Version: 0.10.0.0
Hash: e931a52
Branch: master
Build date: Thu, 18 Aug 2016 17:46:46 GMT

Apple Developer Tools
Xcode 8.0 (11246)
Build 8A218a

Xamarin.iOS
Version: 10.0.0.6 (Xamarin Studio Community)
Hash: 6c3fee4
Branch: xcode8
Build date: 2016-09-09 13:01:32-0400

Xamarin.Mac
Version: 2.10.0.99 (Xamarin Studio Community)

Build Information
Release ID: 601005441
Git revision: 68292d1ab289911c815ddc715dd7cc29a9752f9f
Build date: 2016-09-09 04:43:23-04
Xamarin addins: ed25d008672663eeb9db55f1ccecb3c24d2fd3b2
Build lane: monodevelop-lion-cycle8

Operating System
Mac OS X 10.11.6
Darwin Craigs-MacBook-Pro.local 15.6.0 Darwin Kernel Version 15.6.0
    Mon Aug 29 20:21:34 PDT 2016
    root:xnu-3248.60.11~1/RELEASE_X86_64 x86_64

Enabled user installed addins
Show in Github 1.0.3
Xamarin Inspector 0.10.0.0
Comment 1 Amy Burns 2017-07-18 19:03:39 UTC
Thanks so much for taking the time to submit this report! I can confirm using the latest Visual Studio 2017 for Mac Preview version 7.1 I am able to reproduce this issue. Marking this report as CONFIRMED.

System info:

=== Visual Studio Enterprise 2017 for Mac (Preview) ===

Version 7.1 Preview (7.1 build 1281)
Installation UUID: f7f6f134-fea8-4ebb-ac52-2948e717fb50
Runtime:
	Mono 5.2.0.209 (2017-04/3d531ba) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 502000209

=== NuGet ===

Version: 4.3.0.2418

=== .NET Core ===

Runtime: /usr/local/share/dotnet/dotnet
Runtime Versions:
	1.1.1
	1.0.4
	1.0.2
SDK: /usr/local/share/dotnet/sdk/1.0.3/Sdks
SDK Versions:
	1.0.3
	1.0.0-preview2-003148
MSBuild SDKs: /Library/Frameworks/Mono.framework/Versions/5.2.0/lib/mono/msbuild/15.0/bin/Sdks

=== Xamarin.Profiler ===

Version: 1.5.5
Location: /Applications/Xamarin Profiler.app/Contents/MacOS/Xamarin Profiler

=== Apple Developer Tools ===

Xcode 8.3.3 (12175.1)
Build 8E3004b

=== Xamarin.iOS ===

Version: 10.12.0.14 (Visual Studio Enterprise)
Hash: bf350ba5
Branch: d15-3
Build date: 2017-07-05 11:08:04-0400

=== Xamarin.Android ===

Version: 7.4.0.15 (Visual Studio Enterprise)
Android SDK: /Users/amyb/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		4.0.3 (API level 15)
		4.4   (API level 19)
		5.0   (API level 21)
		6.0   (API level 23)

SDK Tools Version: 25.2.5
SDK Platform Tools Version: 25.0.5
SDK Build Tools Version: 25.0.3

Java SDK: /usr
java version "1.8.0_101"
Java(TM) SE Runtime Environment (build 1.8.0_101-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.101-b13, mixed mode)

Android Designer EPL code available here:
https://github.com/xamarin/AndroidDesigner.EPL

=== Xamarin.Mac ===

Version: 3.6.0.13 (Visual Studio Enterprise)

=== Xamarin Inspector ===

Version: 1.2.2
Hash: b71b035
Branch: d15-1
Build date: Fri, 21 Apr 2017 17:57:12 GMT

=== Build Information ===

Release ID: 701001281
Git revision: cc3abfe9b515ed0e209041e00d3ea239e8e33df9
Build date: 2017-07-10 21:15:50-04
Xamarin addins: 73710b74251e471826f2d9981d3a2bee6c4e78ad
Build lane: monodevelop-lion-d15-3

=== Operating System ===

Mac OS X 10.12.5
Darwin 16.6.0 Darwin Kernel Version 16.6.0
    Fri Apr 14 16:21:16 PDT 2017
    root:xnu-3789.60.24~6/RELEASE_X86_64 x86_64

=== Enabled user installed addins ===

AddinMaker 1.3.7
Manifest.addin 0.0.0.0
Comment 3 Alex Corrado [MSFT] 2018-03-02 16:21:08 UTC
This had been fixed by https://github.com/xamarin/designer/pull/232